Debian Initscript sometimes exits with return code >0 although no error occurred

06/07/2010 12:47 PM - Jochen Schalanda

Status: Closed   

Priority: Normal   

Assignee: Jochen Schalanda   

Category: Packaging   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The the Debian package specification introduced with issue #299 contains two errors:

The init script sometimes exits with a return code >0 although no error occurred starting or stopping foreman

The script ./extras/dbmigrate only echoed the command it should run.

The attached patches fix both issues.

Associated revisions

Revision dae8ff26 - 06/10/2010 05:34 PM - Jochen Schalanda

fixes #310 - Debian Initscript sometimes exits with return code >0 although no error occurred

History

#1 - 06/07/2010 12:48 PM - Jochen Schalanda

- File 0002-Fixed-debian-init-script.patch added

Please ignore foreman-debian.tar.bz2 which has been attached by error.

#2 - 06/10/2010 05:35 PM - Ohad Levy

- Status changed from New to Closed

- Target version set to 0.1-5

#3 - 10/15/2018 01:44 PM - Tomer Brisker

- Category changed from 21 to Packaging

Files

0001-Fixed-extras-dbmigrate-to-actually-do-something.patch 753 Bytes 06/07/2010 Jochen Schalanda

foreman-debian.tar.bz2 4.69 KB 06/07/2010 Jochen Schalanda

0002-Fixed-debian-init-script.patch 2.38 KB 06/07/2010 Jochen Schalanda
